#!/usr/bin/env python

"""
    STP Video Encoder Settings
    ==========================
    Internal settings for the STP encoder.
    
    License
    -------
    Copyright 2008 - 2009 Daniel G. Taylor <dan@programmer-art.org>
    For full license information see libstpenc/__init__.py.
    
"""

# Library version
VERSION = "0.9"

# Binary locations
BIN_FFMPEG = "ffmpeg"
BIN_X264 = "x264"

# Supported output formats, populated on startup
FORMATS = {}

# Interval in seconds to check output file for growth
GROWTH_CHECK_INTERVAL = 3 * 60

# Default upload protocols, more are added dynamically on startup
UPLOAD_PROTOCOLS = [
    "ftp",
]

